<?php
// +-----------------------------------------------------------------------+
// | Mod Name : CopyThumbnails                                             |
// | Mod Version : 1.2                                                     |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

$CopyThumbnails = get_plugin_data($plugin_id);

global $template, $lang, $page;

$update = FALSE;
$template->set_filenames(array('plugin_admin_content' => $CopyThumbnails->plugin_path.'template/CpThumbnailsAdmin.tpl'));

if(!isset($CopyThumbnails->my_config['repertoire'])) { $CopyThumbnails->my_config['repertoire'] = ''; }

if (isset($_POST['copythumbnails_prefix'])) {
		
  if (empty($_POST['copythumbnails_prefix'])) {
  	array_push($page['errors'], $lang['cpe_empty_dir']);
  	$update = FALSE;
  } else if (!preg_match('/^[a-zA-Z0-9-_]+$/', $_POST['copythumbnails_prefix'])) {
  	array_push($page['errors'], $lang['cpe_illegal_char']);
  	$update = FALSE; 
  } else if (file_exists($CopyThumbnails->plugin_path.$_POST['copythumbnails_prefix']) OR !empty($CopyThumbnails->my_config['repertoire'])) {
    rename ($CopyThumbnails->plugin_path.$CopyThumbnails->my_config['repertoire'], $CopyThumbnails->plugin_path.$_POST['copythumbnails_prefix']);
    
    array_push($page['infos'], $lang['cpe_rename_dir']);
    $update = TRUE;
  } else {
  	$update = TRUE;
  }
  
  if ($update == TRUE) {
    $CopyThumbnails->my_config['repertoire'] = $_POST['copythumbnails_prefix'];
    $CopyThumbnails->save_config();
  
    if (!file_exists($CopyThumbnails->plugin_path.$CopyThumbnails->my_config['repertoire'])) {
      mkdir($CopyThumbnails->plugin_path.$CopyThumbnails->my_config['repertoire']);
    }
    array_push($page['infos'], $lang['cpe_backup_config']);
  }
}

$template->assign('COPYTHUMBNAILS_REPERTOIRE', $CopyThumbnails->my_config['repertoire']);
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>